CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Security Vulnerabilities (CVSS score between 4 and 4.99)

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
4001 CVE-2020-36219 2021-01-26 2021-02-03
4.3
None Remote Medium Not required None None Partial
An issue was discovered in the atomic-option crate through 2020-10-31 for Rust. Because AtomicOption<T> implements Sync unconditionally, a data race can occur.
4002 CVE-2020-36218 2021-01-26 2021-02-03
4.3
None Remote Medium Not required None None Partial
An issue was discovered in the buttplug crate before 1.0.4 for Rust. ButtplugFutureStateShared does not properly consider (!Send|!Sync) objects, leading to a data race.
4003 CVE-2020-36217 Mem. Corr. 2021-01-26 2021-07-21
4.3
None Remote Medium Not required None None Partial
An issue was discovered in the may_queue crate through 2020-11-10 for Rust. Because Queue does not have bounds on its Send trait or Sync trait, memory corruption can occur.
4004 CVE-2020-36216 Mem. Corr. 2021-01-26 2021-07-21
4.3
None Remote Medium Not required None None Partial
An issue was discovered in Input<R> in the eventio crate before 0.5.1 for Rust. Because a non-Send type can be sent to a different thread, a data race and memory corruption can occur.
4005 CVE-2020-36214 2021-01-26 2021-02-03
4.3
None Remote Medium Not required None None Partial
An issue was discovered in the multiqueue2 crate before 0.1.7 for Rust. Because a non-Send type can be sent to a different thread, a data race can occur.
4006 CVE-2020-36211 Mem. Corr. 2021-01-26 2021-07-21
4.4
None Local Medium Not required Partial Partial Partial
An issue was discovered in the gfwx crate before 0.3.0 for Rust. Because ImageChunkMut does not have bounds on its Send trait or Sync trait, a data race and memory corruption can occur.
4007 CVE-2020-36210 908 Mem. Corr. 2021-01-26 2021-07-21
4.6
None Local Low Not required Partial Partial Partial
An issue was discovered in the autorand crate before 0.2.3 for Rust. Because of impl Random on arrays, uninitialized memory can be dropped when a panic occurs, leading to memory corruption.
4008 CVE-2020-36209 2021-01-26 2021-02-03
4.4
None Local Medium Not required Partial Partial Partial
An issue was discovered in the late-static crate before 0.4.0 for Rust. Because Sync is implemented for LateStatic with T: Send, a data race can occur.
4009 CVE-2020-36208 Mem. Corr. 2021-01-26 2021-07-21
4.6
None Local Low Not required Partial Partial Partial
An issue was discovered in the conquer-once crate before 0.3.2 for Rust. Thread crossing can occur for a non-Send but Sync type, leading to memory corruption.
4010 CVE-2020-36207 Mem. Corr. 2021-01-26 2021-07-21
4.4
None Local Medium Not required Partial Partial Partial
An issue was discovered in the aovec crate through 2020-12-10 for Rust. Because Aovec<T> does not have bounds on its Send trait or Sync trait, a data race and memory corruption can occur.
4011 CVE-2020-36206 Mem. Corr. 2021-01-26 2021-07-21
4.4
None Local Medium Not required Partial Partial Partial
An issue was discovered in the rusb crate before 0.7.0 for Rust. Because of a lack of Send and Sync bounds, a data race and memory corruption can occur.
4012 CVE-2020-36202 79 XSS 2021-01-26 2021-02-03
4.3
None Remote Medium Not required None Partial None
An issue was discovered in the async-h1 crate before 2.3.0 for Rust. Request smuggling can occur when used behind a reverse proxy.
4013 CVE-2020-36200 918 2021-01-26 2021-02-02
4.0
None Remote Low ??? None Partial None
TinyCheck before commits 9fd360d and ea53de8 allowed an authenticated attacker to send an HTTP GET request to the crafted URLs.
4014 CVE-2020-36198 78 Exec Code 2021-05-13 2021-06-01
4.6
None Local Low Not required Partial Partial Partial
A command injection vulnerability has been reported to affect certain versions of Malware Remover. If exploited, this vulnerability allows remote attackers to execute arbitrary commands. This issue affects: QNAP Systems Inc. Malware Remover versions prior to 4.6.1.0. This issue does not affect: QNAP Systems Inc. Malware Remover 3.x.
4015 CVE-2020-36196 79 XSS 2021-07-01 2021-07-06
4.3
None Remote Medium Not required None Partial None
A stored XSS vulnerability has been reported to affect QNAP NAS running QuLog Center. If exploited, this vulnerability allows attackers to inject malicious code. This issue affects: QNAP Systems Inc. QuLog Center versions prior to 1.2.0.
4016 CVE-2020-36194 79 XSS 2021-07-01 2021-07-06
4.3
None Remote Medium Not required None Partial None
An XSS vulnerability has been reported to affect QNAP NAS running QTS and QuTS hero. If exploited, this vulnerability allows attackers to inject malicious code. This issue affects: QNAP Systems Inc. QTS versions prior to 4.5.2.1566 Build 20210202. QNAP Systems Inc. QuTS hero versions prior to h4.5.2.1638 build 20210414. This issue does not affect: QNAP Systems Inc. QTS 4.5.3.
4017 CVE-2020-36190 79 XSS 2021-01-12 2021-01-14
4.3
None Remote Medium Not required None Partial None
RailsAdmin (aka rails_admin) before 1.4.3 and 2.x before 2.0.2 allows XSS via nested forms.
4018 CVE-2020-36174 352 CSRF 2021-01-06 2021-01-08
4.3
None Remote Medium Not required None Partial None
The Ninja Forms plugin before 3.4.27.1 for WordPress allows CSRF via services integration.
4019 CVE-2020-36172 79 XSS 2021-01-06 2021-01-08
4.3
None Remote Medium Not required None Partial None
The Advanced Custom Fields plugin before 5.8.12 for WordPress mishandles the escaping of strings in Select2 dropdowns, potentially leading to XSS.
4020 CVE-2020-36171 79 XSS 2021-01-06 2021-01-11
4.3
None Remote Medium Not required None Partial None
The Elementor Website Builder plugin before 3.0.14 for WordPress does not properly restrict SVG uploads.
4021 CVE-2020-36151 787 Overflow 2021-02-08 2021-03-10
4.3
None Remote Medium Not required None None Partial
Incorrect handling of input data in mysofa_resampler_reset_mem function in the libmysofa library 0.5 - 1.1 will lead to heap buffer overflow and overwriting large memory block.
4022 CVE-2020-36150 787 Overflow 2021-02-08 2021-07-21
4.3
None Remote Medium Not required None None Partial
Incorrect handling of input data in loudness function in the libmysofa library 0.5 - 1.1 will lead to heap buffer overflow and access to unallocated memory block.
4023 CVE-2020-36149 476 2021-02-08 2021-03-10
4.3
None Remote Medium Not required None None Partial
Incorrect handling of input data in changeAttribute function in the libmysofa library 0.5 - 1.1 will lead to NULL pointer dereference and segmentation fault error in case of restrictive memory protection or near NULL pointer overwrite in case of no memory restrictions (e.g. in embedded environments).
4024 CVE-2020-36148 476 2021-02-08 2021-03-09
4.3
None Remote Medium Not required None None Partial
Incorrect handling of input data in verifyAttribute function in the libmysofa library 0.5 - 1.1 will lead to NULL pointer dereference and segmentation fault error in case of restrictive memory protection or near NULL pointer overwrite in case of no memory restrictions (e.g. in embedded environments).
4025 CVE-2020-36144 74 +Info 2021-03-18 2021-03-24
4.3
None Remote Medium Not required Partial None None
Redash 8.0.0 is affected by LDAP Injection. There is an information leak through the crafting of special queries, escaping the provided template since the username included in the search filter lacks sanitization.
4026 CVE-2020-36142 22 Dir. Trav. 2021-06-04 2021-06-09
4.0
None Remote Low ??? Partial None None
BloofoxCMS 0.5.2.1 allows Directory traversal vulnerability by inserting '../' payloads within the 'fileurl' parameter.
4027 CVE-2020-36140 352 CSRF 2021-06-04 2021-06-09
4.3
None Remote Medium Not required None Partial None
BloofoxCMS 0.5.2.1 allows Cross-Site Request Forgery (CSRF) via 'mode=settings&page=editor', as demonstrated by use of 'mode=settings&page=editor' to change any file content (Locally/Remotely).
4028 CVE-2020-36135 476 2021-12-02 2021-12-03
4.3
None Remote Medium Not required None None Partial
AOM v2.0.1 was discovered to contain a NULL pointer dereference via the component rate_hist.c.
4029 CVE-2020-36134 119 Overflow 2021-12-02 2021-12-03
4.3
None Remote Medium Not required None None Partial
AOM v2.0.1 was discovered to contain a segmentation violation via the component aom_dsp/x86/obmc_sad_avx2.c.
4030 CVE-2020-36130 476 2021-12-02 2021-12-03
4.3
None Remote Medium Not required None None Partial
AOM v2.0.1 was discovered to contain a NULL pointer dereference via the component av1/av1_dx_iface.c.
4031 CVE-2020-36127 295 2021-05-07 2021-05-13
4.0
None Remote Low ??? Partial None None
Pax Technology PAXSTORE v7.0.8_20200511171508 and lower is affected by an information disclosure vulnerability. Through the PUK signature functionality, an administrator will not have access to the current p12 certificate and password. When accessing this functionality, the administrator has the option to replace the current certificate and it is not possible to view the certificate password (p12) already deployed on the platform. The replacement p12 certificate returns to users in base64 with its password, which can be accessed by non-administrator users.
4032 CVE-2020-36124 611 2021-05-07 2021-05-13
4.0
None Remote Low ??? Partial None None
Pax Technology PAXSTORE v7.0.8_20200511171508 and lower is affected by XML External Entity (XXE) injection. An authenticated attacker can compromise the private keys of a JWT token and reuse them to manipulate the access tokens to access the platform as any desired user (clients and administrators).
4033 CVE-2020-36007 79 XSS +Info 2021-06-03 2021-06-07
4.3
None Remote Medium Not required None Partial None
AppCMS 2.0.101 in /admin/template/tpl_app.php has a cross site scripting attack vulnerability which allows the attacker to obtain sensitive information of other users.
4034 CVE-2020-36004 89 Sql +Info 2021-06-03 2021-06-08
4.0
None Remote Low ??? Partial None None
AppCMS 2.0.101 in /admin/download_frame.php has a SQL injection vulnerability which allows attackers to obtain sensitive database information.
4035 CVE-2020-35972 352 CSRF 2021-06-03 2021-06-09
4.3
None Remote Medium Not required None Partial None
An issue was discovered in YzmCMS V5.8. There is a CSRF vulnerability that can add member user accounts via member/member/add.html.
4036 CVE-2020-35964 787 2021-01-03 2021-05-26
4.3
None Remote Medium Not required None None Partial
track_header in libavformat/vividas.c in FFmpeg 4.3.1 has an out-of-bounds write because of incorrect extradata packing.
4037 CVE-2020-35952 2021-01-03 2021-01-11
4.0
None Remote Low ??? Partial None None
login.php in PHPFusion (aka PHP-Fusion) Andromeda 9.x before 2020-12-30 generates error messages that distinguish between incorrect username and incorrect password (i.e., not a single "Incorrect username or password" message in both cases), which might allow enumeration.
4038 CVE-2020-35943 352 Bypass CSRF 2021-02-09 2021-02-12
4.3
None Remote Medium Not required None Partial None
A Cross-Site Request Forgery (CSRF) issue in the NextGEN Gallery plugin before 3.5.0 for WordPress allows File Upload. (It is possible to bypass CSRF protection by simply not including a nonce parameter.)
4039 CVE-2020-35934 732 2021-01-01 2021-07-21
4.0
None Remote Low ??? Partial None None
The Advanced Access Manager plugin before 6.6.2 for WordPress displays the unfiltered user object (including all metadata) upon login via the REST API (aam/v1/authenticate or aam/v2/authenticate). This is a security problem if this object stores information that the user is not supposed to have (e.g., custom metadata added by a different plugin).
4040 CVE-2020-35923 416 2020-12-31 2021-01-06
4.9
None Local Low Not required None None Complete
An issue was discovered in the ordered-float crate before 1.1.1 and 2.x before 2.0.1 for Rust. A NotNan value can contain a NaN.
4041 CVE-2020-35918 2020-12-31 2021-01-14
4.9
None Local Low Not required None None Complete
An issue was discovered in the branca crate before 0.10.0 for Rust. Decoding tokens (with invalid base62 data) can panic.
4042 CVE-2020-35852 79 XSS 2021-02-23 2021-02-26
4.3
None Remote Medium Not required None Partial None
Chatbox is affected by cross-site scripting (XSS). An attacker has to upload any XSS payload with SVG, XML file in Chatbox. There is no restriction on file upload in Chatbox which leads to stored XSS.
4043 CVE-2020-35850 918 2020-12-30 2021-01-04
4.0
None Remote Low ??? None None Partial
** DISPUTED ** An SSRF issue was discovered in cockpit-project.org Cockpit 234. NOTE: this is unrelated to the Agentejo Cockpit product. NOTE: the vendor states "I don't think [it] is a big real-life issue."
4044 CVE-2020-35843 787 2021-01-26 2021-01-29
4.3
None Remote Medium Not required None None Partial
FastStone Image Viewer 7.5 has an out-of-bounds write (via a crafted image file) at FSViewer.exe+0x956e.
4045 CVE-2020-35793 77 2020-12-30 2020-12-31
4.6
None Local Low Not required Partial Partial Partial
Certain NETGEAR devices are affected by command injection by an authenticated user. This affects D7800 before 1.0.1.58, R7500v2 before 1.0.3.46, R7800 before 1.0.2.74, R8900 before 1.0.5.2, and R9000 before 1.0.5.2.
4046 CVE-2020-35791 77 2020-12-30 2020-12-30
4.6
None Local Low Not required Partial Partial Partial
Certain NETGEAR devices are affected by command injection by an authenticated user. This affects R7800 before 1.0.2.68, R8900 before 1.0.5.2, and R9000 before 1.0.5.2.
4047 CVE-2020-35781 DoS 2020-12-30 2020-12-30
4.0
None Remote Low ??? None None Partial
NETGEAR NMS300 devices before 1.6.0.27 are affected by denial of service.
4048 CVE-2020-35780 DoS 2020-12-30 2020-12-30
4.0
None Remote Low ??? None None Partial
NETGEAR NMS300 devices before 1.6.0.27 are affected by denial of service.
4049 CVE-2020-35776 120 Overflow 2021-02-18 2021-02-24
4.3
None Remote Medium Not required None None Partial
A buffer overflow in res_pjsip_diversion.c in Sangoma Asterisk versions 13.38.1, 16.15.1, 17.9.1, and 18.1.1 allows remote attacker to crash Asterisk by deliberately misusing SIP 181 responses.
4050 CVE-2020-35774 79 XSS 2020-12-29 2021-03-30
4.3
None Remote Medium Not required None Partial None
server/handler/HistogramQueryHandler.scala in Twitter TwitterServer (aka twitter-server) before 20.12.0, in some configurations, allows XSS via the /histograms endpoint.
Total number of vulnerabilities : 38405   Page : 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 (This Page)82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.